#r "System.Windows.Forms"
using System.Windows.Forms;

// 現在の図面の作図部品定義を取得
var masters = Application.ActiveDocument.MasterDrawComponents;

// 削除する作図部品名のリスト
var nameList = new List<string>();

// 未使用の作図部品名をリストに追加
foreach(MasterDrawComponent master in masters)
{
    if(!master.IsInUse)
        nameList.Add(master.Name);
}

// 作図部品定義を削除
foreach(string name in nameList)
{
    masters.RemoveAt(masters.IndexOfName(name));
}

MessageBox.Show(nameList.Count + " 個の作図部品定義を削除しました。");
